local addon = "PartyTargetsImproved"
local frame = CreateFrame("Frame", addon .. "ConfigFrame", UIParent)
frame.name = addon
frame:Hide()

frame:SetScript("OnShow", function(frame)
    
	local title = frame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
    title:SetPoint("TOP", 0, -16)
    title:SetText("PartyTargetsImproved")

    local subtitle = frame:CreateFontString(nil, "ARTWORK", "GameFontHighlightSmall")
    subtitle:SetHeight(35)
    subtitle:SetPoint("TOP", title, "BOTTOM", 0, -8)
    -- subtitle:SetPoint("RIGHT", frame, 0, 0)
    subtitle:SetNonSpaceWrap(true)
    subtitle:SetJustifyH("LEFT")
    subtitle:SetJustifyV("TOP")
    subtitle:SetText("PartyTargetsImproved by SoupsBelly for WoW version 50200")
	
	local subtitle = frame:CreateFontString(nil, "ARTWORK", "GameFontHighlightSmall")
    subtitle:SetHeight(35)
    subtitle:SetPoint("TOP", title, "BOTTOM", 0, -20)
    -- subtitle:SetPoint("RIGHT", frame, 0, 0)
    subtitle:SetNonSpaceWrap(true)
    subtitle:SetJustifyH("LEFT")
    subtitle:SetJustifyV("TOP")
    subtitle:SetText("This is inspired by the abandoned AddOn PartyTargets by Maccaa,")
	
	local subtitle = frame:CreateFontString(nil, "ARTWORK", "GameFontHighlightSmall")
    subtitle:SetHeight(35)
    subtitle:SetPoint("TOP", title, "BOTTOM", 0, -62)
    -- subtitle:SetPoint("RIGHT", frame, 0, 0)
    subtitle:SetNonSpaceWrap(true)
    subtitle:SetJustifyH("LEFT")
    subtitle:SetJustifyV("TOP")
    subtitle:SetText("Sliders to change the postion of party targets coming soon")

	local subtitle = frame:CreateFontString(nil, "ARTWORK", "GameFontHighlightSmall")
    subtitle:SetHeight(35)
    subtitle:SetPoint("TOP", title, "BOTTOM", 0, -82)
    -- subtitle:SetPoint("RIGHT", frame, 0, 0)
    subtitle:SetNonSpaceWrap(true)
    subtitle:SetJustifyH("LEFT")
    subtitle:SetJustifyV("TOP")
    subtitle:SetText("This will allow for better placement of the targer frames outside of PartyTargetsImproved")
	
	local subtitle = frame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
    subtitle:SetPoint("CENTER", 0, 0)
    subtitle:SetText("NO SETTINGS...YET")
	
end)

InterfaceOptions_AddCategory(frame)